package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.EmailParseInfoDO;
import com.simuwang.base.pojo.vo.EmailParseInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface EmailParseInfoMapper {

    Integer insert(@Param("itemDo") EmailParseInfoDO emailParseInfoDO);

    void updateParseStatus(@Param("id") Integer id, @Param("parseStatus") int parseStatus);

    List<EmailParseInfoVO> searchEmailList(@Param("emailTitle") String emailTitle, @Param("emailType") Integer emailType, @Param("parseStatus")  Integer parseStatus);

    EmailParseInfoVO searchEmailById(@Param("id") Integer id);

    Integer searchEmailCount(@Param("parseDate") String parseDate, @Param("parseStatus")Integer parseStatus);
}
